org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotArrowTypeProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotArrowTypeProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotArrowTypeProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotArrowTypeProposalProvider
    extends AbstractDotArrowTypeProposalProvider

See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#content-assist on how to customize the content assistant.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotArrowTypeProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ICompletionProposal` `createCompletionProposal(java.lang.String proposal, StyledString displayString, Image image, int priority, java.lang.String prefix, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotArrowTypeProposalProvider

`complete_AbstractArrowShape, complete_ArrowShape, complete_ArrowType, complete_DeprecatedArrowShape, complete_DeprecatedShape, complete_PrimitiveShape, completeArrowShape_Open, completeArrowShape_Shape, completeArrowShape_Side, completeArrowType_ArrowShapes, completeDeprecatedArrowShape_Shape`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotArrowTypeProposalProvider

    public DotArrowTypeProposalProvider()

### Method Detail

#### createCompletionProposal

    protected ICompletionProposal createCompletionProposal(java.lang.String proposal,
                                                           StyledString displayString,
                                                           Image image,
                                                           int priority,
                                                           java.lang.String prefix,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)

Overrides:
  `createCompletionProposal` in class `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider`